/*------------------------------------*\
    
    WebFX WYSIWYG Customizations - Global styling for all ACF WYSIWYG's

    Add custom WYSIWYG styling to this file if it should be applied to all ACF WYSIWYG's on the site
    Otherwise, put your block-specific styles in individual block stylesheets

\*------------------------------------*/

.wysiwyg {
    position: relative;
    z-index: 1;
}

.wysiwyg--profile p a:not(.btn) {
    color: #fff;
}

.wysiwyg.bg-grid {
    background-color: #1d0002;
}

.bg-black .wysiwyg__wrapper a:not(.btn),
.bg-gredient .wysiwyg__wrapper a:not(.btn),
.bg-grid:not(.bg-white) .wysiwyg__wrapper a:not(.btn) {
    color: #e4212e;
}

.bg-black .wysiwyg__wrapper a:hover:not(.btn),
.bg-gredient .wysiwyg__wrapper a:hover:not(.btn),
.bg-grid:not(.bg-white) .wysiwyg__wrapper a:hover:not(.btn) {
    color: #fff;
}

@media (min-width: 768px) {
    .bg-white .btn-tertiary,
    .bg-light-gray .btn-tertiary {
        border-bottom: none;
    }

    .bg-gredient {
        background: linear-gradient(135deg, rgba(0, 0, 0, 1) 0%, rgba(26, 26, 26, 1) 50%, rgba(0, 0, 0, 1) 100%);
    }
}

@media (min-width: 1200px) {
    .bg-white p a:not(.btn):hover,
    .bg-light-gray p a:not(.btn):hover {
        color: #000000;
        background: linear-gradient(to bottom, rgba(157, 0, 10, 0.15) 0%, rgba(157, 0, 10, 0.15) 100%);
        background-position: 0 100%;
        background-repeat: repeat-x;
        background-size: 3px 20px;
        transition: background-size 0.3s;
    }

    .bg-white ul.fancy-bulleted-list li:before,
    .bg-light-gray ul.fancy-bulleted-list li:before {
        background: rgba(157, 0, 10, 0.1) !important;
        color: #9d000a;
    }

    .bg-white .btn-secondary:hover,
    .bg-light-gray .btn-secondary:hover {
        color: #000000;
        background: #c48e91;
    }

    .bg-white .btn-tertiary:hover,
    .bg-light-gray .btn-tertiary:hover {
        color: #9d000a;
        background: transparent;
    }

    .bg-white .btn-tertiary:hover::after,
    .bg-light-gray .btn-tertiary:hover::after {
        width: 100%;
        background: #9d000a;
    }
}

/*@media (min-width: 1600px) {
    .wysiwyg__wrapper {
        max-width: 1245px;
    }


}*/

/* table */

.table-wrap {
    margin-right: -22px;
    margin-bottom: 28px;
}

.table-scroll {
    padding-bottom: 10px;
    position: relative;
    height: auto;
    width: 100%;
    overflow: auto;
}

.table-structure {
    width: 1240px;
    border-radius: 15px;
    overflow: hidden;
}

.table-structure .table-wrap {
    margin-bottom: 0;
}

.table-structure table {
    border-collapse: collapse;
    font-family: "Open Sans", sans-serif;
    width: 100%;
    background: #ffffff;
}

.bg-light-gray .table-structure table,
.bg-white .table-structure table {
    background: rgba(186, 186, 186, 0.25);
}

.table-structure table thead {
    color: #ffffff;
    background: rgba(186, 186, 186, 0.25);
}

.table-structure table thead tr th {
    padding: 14px 15px;
    text-align: center;
    font-size: 20px;
    line-height: 1.25em;
    font-weight: 700;
    border: none;
    color: #000000;
    vertical-align: middle;
}

.table-structure table tbody tr td:last-child {
    border-right: none;
}

.table-structure table tbody tr {
    border-bottom: 1px solid rgba(52, 52, 52, 0.25);
}

.table-structure table tbody tr:last-child {
    border-bottom: none;
}

.table-structure table tbody tr td,
.table-structure table tbody tr th {
    padding: 16px 28px;
    text-align: left;
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    line-height: 1.5em;
    vertical-align: middle;
    border-right: 1px solid rgba(52, 52, 52, 0.25);
}

/* table ScrollBar 1*/

.table-scroll::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.table-scroll::-webkit-scrollbar-track {
    border-radius: 20px;
    background-color: #dddddd;
    border: 1px solid #dddddd;
    margin-right: 0px;
}

.table-scroll::-webkit-scrollbar-thumb {
    border-radius: 20px;
    background-color: #bababa;
}

@media (min-width: 768px) {
    .table-wrap {
        margin-right: -52px;
    }

    .table-structure table tbody tr td,
    .table-structure table tbody tr th {
        padding: 14px 28px;
        font-size: 18px;
        line-height: 1.55em;
    }
}

@media (min-width: 1200px) {
    .table-wrap {
        margin-right: 0px;
    }

    .table-scroll {
        padding-bottom: 0;
        overflow: visible;
    }

    .table-structure {
        width: 100%;
        border-radius: 15px;
        overflow: hidden;
    }
}

.building-specification {
    max-width: 1025px;
    margin: 0 auto;
    background: #000000;
    border-width: 4px 1px;
    border-color: #343434;
    border-style: solid;
    position: relative;
}

.building-specification__col {
    padding: 25px 22px;
    border-bottom: 1px solid #343434;
}

.col-sm-6:last-child .building-specification__col {
    border-bottom: none;
}

.building-specification__col ul {
    margin-left: 0;
}

.wysiwyg.section-padding.bg-black + .building-series {
    padding-top: 0;
}

@media (min-width: 768px) {
    .building-specification__col {
        padding: 25px 22px;
        border-bottom: none;
    }

    .building-specification::before {
        content: "";
        position: absolute;
        left: calc(50% + 16px);
        top: 0;
        width: 1px;
        height: 100%;
        background: #343434;
    }
}

@media (min-width: 1200px) {
    .building-specification__col {
        padding: 16px 44px 32px;
    }

    .building-specification__col ul {
        max-width: 380px;
    }
}

/* title - content  */
.title-content {
    position: relative;
    z-index: 1;
}

.grid {
    position: absolute;
    z-index: -1;
    top: 0;
    right: 0;
    -o-object-fit: cover;
       object-fit: cover;
    width: 100%;
    height: 100%;
}

.title-content h2 {
    text-transform: uppercase;
}

.title-content h2 span {
    color: #e4212e;
}

.title-content__flex-wysiwyg h2,
.title-content__flex-wysiwyg h4 {
    padding-bottom: 0;
}

.title-content__flex {
    margin-bottom: 50px;
}

.title-content__flex-wysiwyg h4 {
    padding-top: 10px;
    padding-bottom: 0;
    font-size: 22px;
    color: #bababa;
    position: relative;
}

.title-content__flex-wysiwyg {
    margin-bottom: 20px;
}

ul.fancy-bulleted-list a {
    color: #fff;
}

@media (min-width: 768px) {
    .title-content::after {
        content: "";
        position: absolute;
        z-index: -1;
        top: 0;
        left: 0;
        width: 78px;
        height: 100%;
        background: #000;
    }

    .title-content h2 {
        padding-bottom: 0;
        width: 465px;
    }

    .title-content__flex {
        display: flex;
        align-items: flex-end;
        justify-content: space-between;
        position: relative;
        z-index: 1;
    }

    .title-content__flex .btn {
        margin-bottom: 5px;
        flex-shrink: 0;
    }

    .wysiwyg .title-content__flex::after {
        content: "";
        position: absolute;
        z-index: -1;
        bottom: 27px;
        right: 0;
        width: 100%;
        height: 2px;
        background: #e4212e;
        opacity: 0.5;
    }

    .title-content__flex-wysiwyg {
        padding-right: 35px;
        background: #000;
        margin-bottom: 0;
        max-width: 70%;
    }

    .bg-light-gray .title-content__flex-wysiwyg {
        background: #f5f5f5;
    }

    .bg-white .title-content__flex-wysiwyg {
        background: #fff;
    }
}

@media (min-width: 1200px) {
    .title-content::after {
        width: 239px;
    }

    .title-content h2 {
        width: 709px;
    }

    .title-content__flex .btn {
        margin-bottom: 13px;
    }

    .wysiwyg .title-content__flex::after {
        bottom: 35px;
    }
}

@media (min-width: 1367px) {
    .title-content::after {
        width: calc(50% - 624px);
    }

    .title-content h2 {
        width: 804px;
    }
}
